# -*- mode: ruby -*-
# vi: set ft=ruby :
$update_os = <<SCRIPT
echo "Updating & Upgrading" && apt update && apt upgrade -y
SCRIPT
$install_ZSH = <<SCRIPT
apt install zsh -y && sh -c "$(curl -fsSL https://raw.github.com/ohmyzsh/ohmyzsh/master/tools/install.sh)" -y || echo "Instalation failed"
SCRIPT
$install_docker_from_repo = <<SCRIPT
echo "Installing Docker and Docker Compose" && apt install docker.io docker-compose -y && echo "Done1"
SCRIPT
$install_docker_from_script = <<SCRIPT
echo "Installing Docker" && curl -fsSL https://get.docker.com -o get-docker.sh && sh get-docker.sh && echo "Done2"
SCRIPT
$install_jenkins = <<SCRIPT
echo "Installing jenkins" && apt-get install openjdk-11-jdk -y && wget -q -O - https://pkg.jenkins.io/debian-stable/jenkins.io.key | sudo apt-key add - || echo "test failed"
sh -c 'echo deb https://pkg.jenkins.io/debian-stable binary/ > /etc/apt/sources.list.d/jenkins.list' ;
apt-get update && apt-get install jenkins -y || echo "installing jenkins failed"
git clone https://gitlab.com/andrei.stavarache/final-project-extras.git && cp final-project-extras/plugins/* /var/lib/jenkins/plugins/ && systemctl restart jenkins.service || echo "not goot"
SCRIPT
$install_postgres_drupal = <<SCRIPT
echo "installing git+docker compose file" && git clone https://gitlab.com/andrei.stavarache/final-project.git && docker-compose up || echo "doesnt work :("
SCRIPT
Vagrant.configure("2") do |config|
  config.vm.box = "ubuntu/bionic64"
  config.vm.define "Server1" do |uds|
    uds.vm.hostname = "Server1"
    uds.vm.network "private_network", ip: "10.11.12.13"
    uds.vm.provision "shell", :inline => $update_os
#    uds.vm.provision "shell", :inline => $install_ZSH
    uds.vm.provision "shell", :inline => $install_docker_from_script
    uds.vm.provision "shell", :inline => $install_jenkins
    uds.vm.provider "virtualbox" do |vb|
      vb.memory = "4096"
      vb.cpus = "4"
    end
  end
   config.vm.define "server2" do |udc|
     udc.vm.hostname = "server2"
     udc.vm.network "private_network", ip: "11.12.13.14"
     udc.vm.provision "shell", :inline => $update_os
     udc.vm.provision "shell", :inline => $install_postgres_drupal
     udc.vm.provision "shell", :inline => $install_docker_from_repo
     udc.vm.provider "virtualbox" do |vb|
       vb.memory = "4096"
       vb.cpus = "4"
      end
   end
end
